function [K]=dr2lat(b)                 % 직접형을 격자형으로 변환

N=length(b);                           % 다항식의 길이
K=zeros(1,N);                          % 반사 계수 초기화
K(1)=b(1); B=b/b(1);                   % K_0 및 B_N(z) 설정
for m=N:-1:2                           % 차수 줄여가며 순환 계산
   K(m)=B(m);                          % K_m=a_m(m) 설정 
   J=fliplr(B);                        %  J_m(z)=z^-1 B_m(z^-1) 설정
   B=(B-K(m)*J)/(1-K(m)*K(m));         %  B_m-1(z) 값 계산
   B=B(1:m-1);                         % B_m(z)보다 차수 1 낮은 B_m-1(z)  만듬 
end
